org.apache.maven.monitor.event

## Class MavenEvents

- java.lang.Object
- - org.apache.maven.monitor.event.MavenEvents

-     public final class MavenEvents
      extends java.lang.Object

  Author:
    jdcasey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `ALL_EVENTS`
    `static java.lang.String` | `MOJO_EXECUTION`
    `static java.lang.String[]` | `NO_EVENTS`
    `static java.lang.String` | `PHASE_EXECUTION`
    `static java.lang.String` | `PROJECT_EXECUTION`
    `static java.lang.String` | `REACTOR_EXECUTION`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PHASE_EXECUTION

          public static final java.lang.String PHASE_EXECUTION

      See Also:
        Constant Field Values

    - #### MOJO_EXECUTION

          public static final java.lang.String MOJO_EXECUTION

      See Also:
        Constant Field Values

    - #### PROJECT_EXECUTION

          public static final java.lang.String PROJECT_EXECUTION

      See Also:
        Constant Field Values

    - #### REACTOR_EXECUTION

          public static final java.lang.String REACTOR_EXECUTION

      See Also:
        Constant Field Values

    - #### ALL_EVENTS

          public static final java.lang.String[] ALL_EVENTS

    - #### NO_EVENTS

          public static final java.lang.String[] NO_EVENTS